@import url('https://fonts.googleapis.com/css2?family=Modak&family=Open+Sans:ital,wght@0,400;0,500;1,500&family=Roboto&display=swap');

* {
    /* box-sizing: border-box;
    display: flexbox;
    background: cornflowerblue;
    color: darkslateblue; */
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    margin: 0;
    padding: 0;
}

#delete-button {
    text-decoration: none;
    color: black;
}

a:link {
    color: #D9CCC1;
}

a:active {
    color: #D9CCC1;
}

a:hover {
    color: #30A5BF;
}

a:visited {
    color: #D9CCC1;
}

html,
body {
    background-image: url("https://img.freepik.com/free-photo/wooden-plank-textured-background-material_53876-146881.jpg?w=2000");
    background-size: cover;
    background-repeat: no-repeat;
    /* background-color: #026873; */
    color: #D9CCC1;
}

header nav ul {
    background-color: #024059;
    border-bottom: 1px solid #D9CCC1;
    box-sizing: border-box;
    list-style: none;
    margin-top: 0;
    margin-bottom: 2em;
    padding: 0 0 0 1em;
}

header nav ul li {
    display: inline-block;
    margin: 0 1em;
    padding: 1em 0 1em 0;
}

header nav ul li a {
    font-weight: bold;
    text-decoration: none;
}

input {
    height: 1.5em;
    margin: 0;
    padding: .25em .5em;
}

select {
    height: 2.5em;
}

select[multiple] {
    height: 7.5em;
}

textarea {
    margin: 0;
    padding: .25em, .5em;
}

table {
    width: 100%;
}

.helptext {
    display: block;
    font-size: 80%;
}

.login-form,
.signup-form {
    background-color: #024059;
    color: #D9CCC1;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    margin: auto;
    max-width: 600px;
    padding: 2em;
}

.task-form,
.project-form,
.delete-task,
.delete-form,
.edit-task,
.edit-project {
    background-color: #024059;
    color: #D9CCC1;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    margin: auto;
    max-width: 600px;
    padding: 2em;
}

.task-form h1,
.login-form h1,
.signup-form h1,
.project-list h1,
.project form h1,
.project-detail h1 {
    margin-top: 0;
}

.project-detail h2 {
    margin-top: 2em;
}

.task-form p,
.login-form p,
.signup-form p,
.project-form p,
.delete-task p,
.delete-form p,
.edit-task p,
.edit-project p {
    display: grid;
    align-items: center;
    column-gap: 10px;
    row-gap: 10px;
}

.task-form p .helptext,
.login-form p .helptext,
.signup-form .helptext,
.project-form .helptext {
    grid-column-start: 2;
    grid-column-end: 3;
}

.task-form button,
.my-task-list button,
.login-form button,
.signup-form button,
.project-form button,
.delete-task button,
.delete-form button,
.edit-task button,
.edit-project.button {
    padding: 0.25em 1em;
    margin-right: .25em;
    margin-top: .5em;
}

.my-tasks-list,
.project-list,
.project-detail {
    background-color: #024059;
    color: #D9CCC1;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    margin: auto;
    max-width: 800px;
    padding: 2em;
}

.my-tasks-list th,
.my-tasks-list td,
.project-list th,
.project-list td,
.project-detail th,
.project-detail td {
    padding: .5em;
}

.my-tasks-list thead tr th,
.project-list thead tr th,
.project-detail thead tr th {
    border-bottom: 2px solid #D9CCC1;
}

.my-tasks-list tbody td:nth-child(2),
.my-tasks-list tbody td:nth-child(3),
.my-tasks-list tbody td:nth-child(4),
.project-list tbody tr td,
.project-detail tbody td:nth-child(2),
.project-detail tbody td:nth-child(3),
.project-detail tbody td:nth-child(4),
.project-detail tbody td:nth-child(5) {
    text-align: center;
}

.my-tasks-list tbody :not(tr:last-child) td,
.project-list tbody :not(tr:last-child) td,
.project-detail tbody :not(tr:last-child) td {
    border-bottom: 1px solid #D9CCC1;
}

/* header {
    display: flex;
}


th {
    font-style: italic;
    padding-left: 5px;
    padding-right: 5px;
}

td {
    border: 2px dotted skyblue;
    padding-left: 5px;
    padding-right: 5px;
}

ul {
    list-style-type: none;
    display: flex;
}

li {
    margin-right: 10px;
    margin-left: 0px;
}

main {
    margin-left: 38px;
}

a:hover {
    color: hotpink;
}

a {
    text-decoration: none;
} */
